### Name: Clustions
### Title: Clustions - Notion clustering, based on contifiers
### Aliases: Clustions clustions clustions.thresholds clustions.maxcycles
###   clustions.cluster clustions.cluster2
### Keywords: cluster

### ** Examples

library(lingua)
## initial settings
contifiers.thresholds(c(0.1))
clustions.maxcycles(20)
## some random data matrix
data.cases <- matrix(runif(30), nrow=5, ncol=6)
## with some initial centers
ini.centers <- data.cases[,1:3]
## and to cluster it
clustions.cluster(data.cases, ini.centers)
## some [-1,1]-valued data (viewed as compressed pairs)
data.cases2 <- matrix(runif(30, -1, 1), nrow=5, ncol=6)
## some initial centers
ini.cens2neg <- -1 * data.cases2[,1:3]
ini.cens2neg[0.0 > ini.cens2neg] <- 0.0
ini.cens2pos <- data.cases2[,1:3]
ini.cens2pos[0.0 > ini.cens2pos] <- 0.0
ini.centers2 <- cbind(ini.cens2neg, ini.cens2pos)
## and to cluster it
clustions.cluster2(data.cases2, ini.centers2)
## columns were used as objects to cluster



